 <div ng-controller="expedienteController" ng-cloak>
  <div layout="row">
    <div flex="100">      
      <div ng-if="expediente.id || isNewExpediente">
      	<md-toolbar class="md-table-toolbar md-default">
<div class="md-toolbar-tools">
	<h2 class="md-title">Expediente</h2>
</div>
</md-toolbar>
<form name="expedienteForm" id="expedienteForm" novalidate class="panel panel-default" ng-submit="expedienteForm.$valid && saveExpediente(expediente)">

	<div layout="column" flex="95">

		<div layout-gt-sm="row">
			<md-input-container class="md-block" flex-gt-sm> 
				<label>Alta inicial</label> 
				<md-datepicker ng-model="expediente.fechaInicial" ng-value="{{fechaInicialString}}" name="fechaInicial" required></md-datepicker>
				<div ng-messages="expedienteForm.fechaInicial.$error">
					<div ng-message="valid">Formato incorrecto</div>
					<div ng-message="required">
						<b>Alta inicial</b> obligatoria
					</div>
				</div>
			</md-input-container>

			<div flex="5" hide-xs hide-sm>
				<!-- Spacer //-->
			</div>

			<md-input-container class="md-block" flex-gt-sm> 
				<label>Creaci&oacute;n</label> 
				<md-datepicker ng-model="expediente.fechaCreacion" ng-value="{{fechaCreacionString}}" name="fechaCreacion" required></md-datepicker>

			<div ng-messages="expedienteForm.fechaCreacion.$error">
				<div ng-message="valid">Formato incorrecto</div>
				<div ng-message="required">
					<b>Alta inicial</b> obligatoria
				</div>
			</div>
			</md-input-container>

			<div flex="5" hide-xs hide-sm>
				<!-- Spacer //-->
			</div>

			<md-input-container class="md-block" flex-gt-sm> 
				Urgente: 
				<md-radio-group ng-model="expediente.urgente" layout="row"> 
					<md-radio-button value="S">Si</md-radio-button> 
					<md-radio-button value="N">No</md-radio-button> 
				</md-radio-group> 
			</md-input-container>

			<div flex="5" hide-xs hide-sm>
				<!-- Spacer //-->
			</div>

			<md-input-container class="md-block" flex-gt-sm> <md-checkbox ng-model="expediente.tratamientoTiempoReal" ng-true-value="'S'" ng-false-value="'N'"
				aria-label="TTR"> Tratamiento en tiempo real </md-checkbox> </md-input-container>
		</div>

		<div layout-gt-sm="row">
			<md-input-container class="md-block" flex-gt-sm> 
				<label>N&uacute;mero expediente</label> 
				<input md-maxlength="20" maxlength="20" name="numeroExpediente" required ng-model="expediente.numeroExpediente" />

				<div ng-messages="expedienteForm.numeroExpediente.$error">
					<div ng-message="required">
						<b>N&uacute;mero expediente</b> obligatorio.
					</div>
					<div ng-message="md-maxlength">
						El <b>N&uacute;mero expediente</b> no debe superar los 20 caracteres.
					</div>
				</div>
			</md-input-container>

			<div flex="5" hide-xs hide-sm>
				<!-- Spacer //-->
			</div>

			<md-input-container class="md-block" flex-gt-sm> 
				<label>N&uacute;mero p&oacute;liza</label> 
				<input md-maxlength="20" maxlength="20" name="numeroPoliza" required ng-model="expediente.numeroPoliza" />

				<div ng-messages="expedienteForm.numeroPoliza.$error">
					<div ng-message="required">
						<b>N&uacute;mero p&oacute;liza</b> obligatorio.
					</div>
					<div ng-message="md-maxlength">
						El <b>N&uacute;mero p&oacute;liza</b> no debe superar los 20 caracteres.
					</div>
				</div>
			</md-input-container>

			<div flex="5" hide-xs hide-sm>
				<!-- Spacer //-->
			</div>

			<md-input-container class="md-block" flex-gt-sm> 
				<label>Franquicia</label> 
				<input maxlength=9 name="franquicia" ng-pattern="/^\d{1,6}(\.\d{1,2})?$/"ng-model="expediente.franquicia" />

				<div ng-messages="expedienteForm.franquicia.$error">
					<div ng-message="pattern">
						El <b>Franquicia</b> debe tener un formato <b>###.##</b>.
					</div>
				</div>
			</md-input-container>
		</div>

		<div layout-gt-sm="row">

			<md-input-container class="md-block" flex-gt-sm> 
				<label>Compa&ntilde;&iacute;a</label> 
				<md-select required ng-model="expediente.compania" name="compania">
					<md-optgroup label="companias"> 
						<md-option ng-value="compania" ng-repeat="compania in companias" ng-selected="expediente.compania.id === compania.id">{{compania.nombre}}</md-option>
					</md-optgroup> 
				</md-select>

				<div ng-messages="expedienteForm.compania.$error">
					<div ng-message="required">
						<b>Compa&ntilde;&iacute;a</b> obligatoria.
					</div>
				</div>
			</md-input-container>

			<div flex="5" hide-xs hide-sm>
				<!-- Spacer //-->
			</div>

			<div layout-gt-sm="row">
				<md-input-container class="md-block" flex-gt-sm> 
					<label>Perito</label> 
					<md-select required ng-model="expediente.perito" name="perito" data-md-container-class="selectHeader">
						<md-select-header class="select-header">					
							<input ng-model="$parent.textPeritoExpedienteFilter" id="textPeritoExpedienteFilter" ng-keydown="textPeritoKeyDown($event);" type="search" placeholder="Buscar..." class="header-searchbox md-text"> 
						</md-select-header>
						<md-optgroup label="peritos">
							<md-option ng-value="perito" ng-repeat="perito in peritos | filter:peritosExpedienteFilter" ng-selected="expediente.perito.id === perito.id">{{perito.nombre}}</md-option>
						</md-optgroup> 
					</md-select>

					<div ng-messages="expedienteForm.perito.$error">
						<div ng-message="required">
							<b>Perito</b> obligatorio.
						</div>
					</div>
				</md-input-container>

				<div>
					<div class="flex" flex=""></div>
					<button class="md-icon-button md-button md-ink-ripple" type="button" ng-click="newPerito()" aria-label="add_circle">
						<md-icon class="material-icons">add_circle</md-icon>
						<div class="md-ripple-container"></div>
					</button>
				</div>
			</div>

			<div flex="5" hide-xs hide-sm>
				<!-- Spacer //-->
			</div>

			<div layout-gt-sm="row">
				<md-input-container class="md-block" flex-gt-sm> 
					<label>Asegurado</label> 
					<md-select required ng-model="expediente.asegurado" name="asegurado" data-md-container-class="selectHeader">
						<md-select-header class="select-header"> 
							<input ng-model="$parent.textAseguradoExpedienteFilter"	id="textAseguradoExpedienteFilter" ng-keydown="textAseguradoKeyDown($event);" type="search" placeholder="Buscar..." class="header-searchbox md-text"> 
						</md-select-header>  
						<md-optgroup label="asegurados"> 
							<md-option ng-value="asegurado" ng-repeat="asegurado in asegurados | filter:aseguradosExpedienteFilter" ng-selected="expediente.asegurado.id === asegurado.id">{{asegurado.nombre}}</md-option> 
						</md-optgroup> 
					</md-select>

				<div ng-messages="expedienteForm.asegurado.$error">
					<div ng-message="required">
						<b>Asegurado</b> obligatorio.
					</div>
				</div>
				</md-input-container>

				<div>
					<div class="flex" flex=""></div>
					<button class="md-icon-button md-button md-ink-ripple" type="button" ng-click="newAsegurado()" aria-label="add_circle">
						<md-icon class="material-icons">add_circle</md-icon>
						<div class="md-ripple-container"></div>
					</button>
				</div>
			</div>
		</div>

		<div layout-gt-sm="row">

			<md-input-container class="md-block" flex-gt-sm="75"> <label>Carpeta de documentos</label> <input md-maxlength="1000" maxlength="1000" name="rutaCarpeta"
				required ng-model="expediente.rutaCarpeta" />

			<div ng-messages="expedienteForm.rutaCarpeta.$error">
				<div ng-message="required">
					<b>Carpeta de documentos</b> obligatoria.
				</div>
				<div ng-message="md-maxlength">
					El <b>Carpeta de documentos</b> no debe superar los 1000 caracteres.
				</div>
			</div>
			</md-input-container>

			<div flex="5" hide-xs hide-sm>
				<!-- Spacer //-->
			</div>

			<md-input-container class="md-block" flex-gt-sm="20"> <label>Estado</label> <md-select required ng-model="expediente.estado" name="estado"> <md-optgroup
				label="estados"> <md-option ng-value="estado" ng-repeat="estado in estados" ng-selected="expediente.estado.id === estado.id">{{estado.descripcion}}</md-option> </md-optgroup> </md-select>

			<div ng-messages="expedienteForm.estado.$error">
				<div ng-message="required">
					<b>Estado</b> obligatorio.
				</div>
			</div>
			</md-input-container>
		</div>

		<md-input-container class="md-block" flex-gt-sm> <label>Descripci&oacute;n del servicio</label> <textarea ng-model="asegurado.descripcionServicio"
			md-maxlength="5000" rows="4" md-select-on-focus></textarea>
		<div ng-messages="asegurado.descripcionServicio.$error">
			<div ng-message="md-maxlength">
				La <b>Descripci&oacute;n del servicio</b> no debe superar los 5000 caracteres.
			</div>
		</div>
		</md-input-container>

		<md-input-container class="md-block" flex-gt-sm> <label>Da&ntilde;os producidos</label> <textarea ng-model="asegurado.danosProducidos" md-maxlength="5000"
			rows="4" md-select-on-focus></textarea>
		<div ng-messages="asegurado.danosProducidos.$error">
			<div ng-message="md-maxlength">
				Los <b>Da&ntilde;os producidos</b> no debe superar los 5000 caracteres.
			</div>
		</div>
		</md-input-container>
      	
      	<div ng-include="'lists/perjudicadoList.html'"></div>
	  	
	  	<div ng-include="'lists/parteTrabajoList.html'"></div>
	</div>

	<md-button type="submit" id="saveExpediente" class="md-raised md-primary">Guardar</md-button> 
	<md-button type="button" class="md-raised md-warn" ng-click="removeExpediente(expediente)" ng-if="expediente.id">Eliminar</md-button> 
	<md-button type="button" class="md-raised"ng-click="clearExpediente()">Volver</md-button>
</form>

<div style="display:none" flex="100">
   	<div ng-include="'forms/aseguradoForm.html'"></div>
	<div ng-include="'forms/codigoPostalForm.html'"></div>
	<div ng-include="'forms/peritoForm.html'"></div>
	<div ng-include="'forms/trabajoRealizadoForm.html'"></div>
	
	<div class="md-dialog-container" id="parteTrabajoDialog" flex="100">
		<md-dialog aria-label="{{parteTrabajoDialogAction}}" flex="80">
			<md-toolbar>
              <div class="md-toolbar-tools">
                <h2>{{parteTrabajoDialogAction}}</h2>
                <span flex></span>
                <md-button class="md-icon-button" ng-click="cancel()"> 
                  <md-icon aria-label="Cerrar"><i class="material-icons">clear</i></md-icon>
                </md-button>
              </div>
            </md-toolbar>
   			<div ng-include="'forms/parteTrabajoForm.html'"></div>
		</md-dialog>
	</div>
	
	<div class="md-dialog-container" id="perjudicadoDialog" flex="100">
		<md-dialog aria-label="{{perjudicadoDialogAction}}" flex="80">
			<md-toolbar>
              <div class="md-toolbar-tools">
                <h2>{{perjudicadoDialogAction}}</h2>
                <span flex></span>
                <md-button class="md-icon-button" ng-click="cancel()"> 
                  <md-icon aria-label="Cerrar"><i class="material-icons">clear</i></md-icon>
                </md-button>
              </div>
            </md-toolbar>
   			<div ng-include="'forms/perjudicadoForm.html'"></div>
		</md-dialog>
	</div>	
</div>
      </div>
	  <div ng-include="'lists/expedienteList.html'" ng-if="!expediente.id && !isNewExpediente"></div>
    </div>
</div>

